<?xml version="1.0"?>
<ArrayOfFBEvent xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-08-24T00:11:14Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment>Tested using isf imports with dp versions  4.0.1125.50323,4.2.346.50341 and 4.3.42.50342 and not able to duplicate issues.
Isf imports worked and test setups worked as expected.


</Comment>
    <StatusString>Closed</StatusString>
    <TimeStamp>2024-02-10T02:40:08Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Closed</Status>
  </FBEvent>
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2024-02-02T22:36:52Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>ReleaseNoted</StatusString>
    <TimeStamp>2024-02-02T21:53:12Z</TimeStamp>
    <ReleaseNote>Addresses an issue with an exception in ISF import</ReleaseNote>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Resolved</StatusString>
    <TimeStamp>2024-02-02T18:45:21Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Resolved</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-02-02T18:45:02Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>4.0/4.2/4.3@50323
 
added some boundary checking to function and updated logging;
 
here are some new logs;
 

  APILogger.Log($"Hardware id[{id}] has no match in the addedhardware list");
 

APILogger.Log($"Hardware [{hardwareSN}] has no entries in sampleratelist or aafratelist");
 

APILogger.Log($"Hardware [{hardwareSN}] has no entry in hardware list");
 

APILogger.Log($"Hardware [{id}] does not exist in hardware list");
 

APILogger.Log($"hardware [{hFromDb.SerialNumber}] doesn't have an entry in either DASAAFRateList or DASClockMasterList or DASAAFRateList");
 

APILogger.Log($"Exception in SaveHardware", ex);
 
 
 
Nate was not able to duplicate this issue, so duplicating it may be difficult to impossible, however this change should not break saving a test setup, so testing should consist of making sure hardware is still saved to a test with a variety of ways of creating or editing a test setup.</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-02-02T18:10:54Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-01-31T18:33:18Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-01-30T22:20:07Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2024-01-30T22:17:55Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-01-30T22:05:04Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Chris Balogh</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2024-01-30T19:06:36Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Chris Balogh</User>
    <Comment>Occasionally, DP4.0.1123 ISF import throws:
 
 
 
Since this is intermittent and I have not seen it in my DP4 testing, I was going to give GM Sled a version with a little extra logging like so:
 
 
There’s probably a better way though?</Comment>
    <StatusString>Opened</StatusString>
    <TimeStamp>2024-01-30T19:06:36Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Opened</Status>
  </FBEvent>
</ArrayOfFBEvent>